Loading...
Searching...
No Matches
bitops.h File Reference
Utility Functions » Bit Manipulation

bit manipulation functions More...

`#include <l4/sys/l4int.h>`
`#include <l4/sys/compiler.h>`
`#include <l4/util/bitops_arch.h>`
`#include <l4/util/atomic.h>`
Include dependency graph for bitops.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | l4util_test_and_clear_bit(b, dest)
| define some more usual names

## Functions

void | l4util_set_bit (int b, volatile l4_umword_t *dest)
| Set bit in memory.
void | l4util_clear_bit (int b, volatile l4_umword_t *dest)
| Clear bit in memory.
void | l4util_complement_bit (int b, volatile l4_umword_t *dest)
| Complement bit in memory.
int | l4util_test_bit (int b, const volatile l4_umword_t *dest)
| Test bit (return value of bit).
int | l4util_bts (int b, volatile l4_umword_t *dest)
| Bit test and set.
int | l4util_btr (int b, volatile l4_umword_t *dest)
| Bit test and reset.
int | l4util_btc (int b, volatile l4_umword_t *dest)
| Bit test and complement.
int | l4util_bsr (l4_umword_t word)
| Bit scan reverse.
int | l4util_bsf (l4_umword_t word)
| Bit scan forward.
int | l4util_find_first_set_bit (const void *dest, l4_size_t size)
| Find the first set bit in a memory region.
int | l4util_find_first_zero_bit (const void *dest, l4_size_t size)
| Find the first zero bit in a memory region.
int | l4util_next_power2 (unsigned long val)
| Find the next power of 2 for a given number.

## Detailed Description

bit manipulation functions

Date
  07/03/2001

Author
  Lars Reuther reuth.nosp@m.er@o.nosp@m.s.inf.nosp@m..tu-.nosp@m.dresd.nosp@m.en.d.nosp@m.e

Definition in file bitops.h.